Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.http
Class HttpMonitorUtil

    java.lang.Object
      jet.server.monitor.api.http.HttpMonitorUtil

    public class HttpMonitorUtil

extends java.lang.Object

This `HttpMonitorUtil` class is used to offer service supports for JSP HTTP page.

Field Summary
`static java.lang.String` | `AUTH_SCHEME_BASIC` Property of Basic Authenticator.

Constructor Summary
`HttpMonitorUtil()`

Method Summary
`static java.lang.String` | `encodeEsc(java.lang.String str)` Encodes the URL string (i.e.
`static java.lang.String` | `getActiveRealm()` Gets currently active realm in Report Server.
`static HttpMonitorServer` | `getHttpMonitorServer()` Gets current `HttpMonitorServer` reference.
`static java.lang.String` | `getMonitorCounterName()` Gets Monitor Counter's name.
`static java.lang.String` | `getMonitorServerHostName()` Gets this Monitor Server's located host name.
`static java.lang.String` | `getMonitorServerRMIPort()` Gets this Monitor Server's RMI Port number.
`static boolean` | `getShowVirtualApplianceWelcomePage()` Judges whether or not Monitor Server displays virtual appliance welcome page.
`static java.lang.String` | `getUser(javax.servlet.http.HttpServletRequest req)` Gets user name from the request.
`static boolean` | `isAdminServerStarted()` Judges whether or not the Admin Server is starting now.
`static boolean` | `isInternalHttpServer()` Judges whether or not Monitor Server uses an internal Http Server.
`static void` | `setShowVirtualApplianceWelcomePage(boolean enable)` Sets whether or not Monitor Server displays virtual appliance welcome page.
`static void` | `shutdownMonitorServer()` Shuts down the Monitor Server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTH_SCHEME_BASIC

    public static final java.lang.String AUTH_SCHEME_BASIC

  Property of Basic Authenticator.

  See Also:
    Constant Field Values

Constructor Detail

### HttpMonitorUtil

    public HttpMonitorUtil()

Method Detail

### getHttpMonitorServer

    public static HttpMonitorServer getHttpMonitorServer()

  Gets current `HttpMonitorServer` reference.

  Returns:
    A reference of current `HttpMonitorServer`.

### getActiveRealm

    public static java.lang.String getActiveRealm()

  Gets currently active realm in Report Server.

  Returns:
    Currently active realm.

### encodeEsc

    public static java.lang.String encodeEsc(java.lang.String str)

  Encodes the URL string (i.e. replace the invalid characters with "%HexHex").

  Parameters:
    `str` - The URL address string.
  Returns:
    The URL-encoded URL string.

### getMonitorServerHostName

    public static java.lang.String getMonitorServerHostName()

  Gets this Monitor Server's located host name.

  Returns:
    Current Monitor Server's Host Address.

### getMonitorServerRMIPort

    public static java.lang.String getMonitorServerRMIPort()

  Gets this Monitor Server's RMI Port number.

  Returns:
    Current Monitor Server's RMI Port.

### getMonitorCounterName

    public static java.lang.String getMonitorCounterName()

  Gets Monitor Counter's name.

  Returns:
    The Monitor Counter's name, which is used to bind the `MonitorCounter` object.

### shutdownMonitorServer

    public static void shutdownMonitorServer()

  Shuts down the Monitor Server.

### getUser

    public static java.lang.String getUser(javax.servlet.http.HttpServletRequest req)

  Gets user name from the request.

  Parameters:
    `req,` - The `HttpServletRequest` reference.

### isAdminServerStarted

    public static boolean isAdminServerStarted()

  Judges whether or not the Admin Server is starting now.

  Returns:
    true, if the Admin Server is starting now, or else return false.

### isInternalHttpServer

    public static boolean isInternalHttpServer()

  Judges whether or not Monitor Server uses an internal Http Server.

  Returns:
    true, if Monitor Server uses an internal Http Server, or else return false.

### getShowVirtualApplianceWelcomePage

    public static boolean getShowVirtualApplianceWelcomePage()

  Judges whether or not Monitor Server displays virtual appliance welcome page.

  Returns:
    true, if Monitor Server displays virtual appliance welcome page.

### setShowVirtualApplianceWelcomePage

    public static void setShowVirtualApplianceWelcomePage(boolean enable)

  Sets whether or not Monitor Server displays virtual appliance welcome page.

  Parameters:
    `enable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD